Error code
STATUS_TRANSITION_NOT_ALLOWED
Status change not allowed
400, failedReturned by Transfer Companies API
On this page
Cause
The journey is already in a final state (completed or cancelled).
What to do
Do not send further status updates for completed or cancelled journeys.
Endpoints that return it
- Update status to 'in progress' PUT /journeys/{id}/status/in-progress
The journey is completed or cancelled.
- Update status to 'driver arrived' PUT /journeys/{id}/status/driver-arrived
The journey is completed or cancelled.
- Complete journey PUT /journeys/{id}/complete
The journey was cancelled.